import { geoPath, geoAlbers } from 'd3';

const projection = geoAlbers()
  .center([0, 42.054])
  .rotate([71.727, 0])
  .parallels([41, 44])
  .scale(17000);

const path = geoPath(projection);



export const Marks = ({ MassGeo, APData, sizeScale, sizeValue }) => (
  <g className="marks">
    {MassGeo.features.map(feature => (
      <path d={path(feature)} />
    ))}
    {APData.map(d => {
      const [x, y] = projection([d.Lon, d.Lat]);
      return <circle cx={x} cy={y} r={sizeScale(sizeValue(d))} />;
    })}
  </g>
);
