import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import {max,scaleSqrt  } from 'd3';
import { useMassGeo } from './useMassGeo';
import { useAPData } from './useAPData';
import { Marks } from './Marks';

const width = 960;
const height = 500;

const App = () => {
  const MassGeo = useMassGeo();
  const APData =useAPData();

  if (!MassGeo||!APData) {
    return <pre>Loading...</pre>;
  }

  const sizeValue = d =>d['Score 3-5'];
	const maxRadius= 8;
	const sizeScale = scaleSqrt()
	.domain([0, max(APData, sizeValue)])
	.range([0, maxRadius]);
 
  return (
    <svg width={width} height={height}>
     
        <Marks
          MassGeo={MassGeo}
          APData = {APData}
          sizeScale = {sizeScale}
          sizeValue = {sizeValue}
        />
     
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
